import { OnInit } from '@angular/core';
import { EnvironmentService } from '@aztrix/helpers';
import { BehaviorSubject } from 'rxjs';
import { AbstractRegisterStep } from '../abstract-register-step';
import * as i0 from "@angular/core";
export declare class RegisterClaimStepComponent extends AbstractRegisterStep implements OnInit {
    private _env;
    claim: 'username' | 'alistname';
    pending$: BehaviorSubject<boolean>;
    usernamePrefix$: import("rxjs").Observable<string>;
    alistnamePrefix$: import("rxjs").Observable<string>;
    constructor(_env: EnvironmentService);
    ngOnInit(): void;
    get alistNameForm(): import("@angular/forms").AbstractControl<any, any>;
    get usernameForm(): import("@angular/forms").AbstractControl<any, any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RegisterClaimStepComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RegisterClaimStepComponent, "ax-register-claim-step", never, { "claim": "claim"; }, {}, never, never, false, never>;
}
